summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNickDaly <myownlittlworld@hotmail.com>2009-06-06 17:58:50 -0500
committerNickDaly <myownlittlworld@hotmail.com>2009-06-06 17:58:50 -0500
commit06444abc5be2e72b2a52f114f942b9da9f9fc9b1 (patch)
treef4e087168c4e841929da3027e94e7d91b3b655a1
parentc93108cc3cbc1cc685811776b9b771aef34fa25f (diff)
downloadgemrb-gameinstallers-06444abc5be2e72b2a52f114f942b9da9f9fc9b1.tar.bz2
gemrb-gameinstallers-06444abc5be2e72b2a52f114f942b9da9f9fc9b1.zip
Finished BG2-SOA installers.
-rwxr-xr-xbg2/install-soa-4cd-us-minimal.sh10
-rw-r--r--bg2/install-tob-1cd-us-extra.sh4
-rw-r--r--bg2/install-tob-1cd-us-minimal.sh7
3 files changed, 15 insertions, 6 deletions
diff --git a/bg2/install-soa-4cd-us-minimal.sh b/bg2/install-soa-4cd-us-minimal.sh
index 3db85b5..21a2361 100755
--- a/bg2/install-soa-4cd-us-minimal.sh
+++ b/bg2/install-soa-4cd-us-minimal.sh
@@ -1,7 +1,7 @@
#!/bin/bash
#
-# Baldur's Gate 2 (4CD US version) Minimal Install
-# Copyright (C) 2009 Nick Daly
+# Baldur's Gate 2 Shadows of Amn (4CD US version) Minimal Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
@@ -29,10 +29,11 @@ checkforbin unshield
getcd 1 $BG2_4CD_US_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
+mkdir -p "${TARGETDIR}/portraits" || die
cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
-unshield x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
@@ -43,9 +44,8 @@ move_and_remove "${TARGETDIR}/compiler" "${TARGETDIR}/script compiler"
move_and_remove "${TARGETDIR}/register" "${TARGETDIR}/eReg"
move_and_remove "${TARGETDIR}/sound" "${TARGETDIR}/sounds"
-mkdir -p "${TARGETDIR}/portraits" || die
for directory in "compiled" "decompiled" "errors"; do mkdir -p "${TARGETDIR}/script compiler/${directory}" || die; done
rm -r "${TARGETDIR}/cache100" "${TARGETDIR}/cache/cache150.txt" "${TARGETDIR}/mplayer"
-setperms "$TARGETDIR"
+teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-extra.sh b/bg2/install-tob-1cd-us-extra.sh
index 4b0c3d3..4133b5b 100644
--- a/bg2/install-tob-1cd-us-extra.sh
+++ b/bg2/install-tob-1cd-us-extra.sh
@@ -32,4 +32,8 @@ mkdir -p "$TARGETDIR" || die
# TODO finish everything below here.
+
+
+copylower "${CDMOUNT}/extra/override" "${TARGETDIR}/override"
+
teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
index e7e1f11..5ae27ab 100644
--- a/bg2/install-tob-1cd-us-minimal.sh
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -30,7 +30,12 @@ getcd 1 $BG2_TOB_1CD_US_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
+if [ ! -e "${TARGETDIR}/cd2/data/area000a.bif" ]
+then
+ die
+ # TODO ask user to run the appropriate preinstaller.
+fi
+
# TODO finish everything below here.
-# TODO if the cd2 directory doesn't have contents, ask user to run the appropriate preinstaller.
teardown "$TARGETDIR"